GSTR-1 B2B Invoices API
GET
https://apisandbox.whitebooks.in/gstr1/b2bGetting all B2B invoices for a return period.
Parameters
query parameters
emailstringrequiredEmail
actionrequiredstringoptionalStatus filter for filtering the invoices. Action_required = Y, fetches the invoices where tax payer need to take action (Accept/Reject). Already accepted or uploaded invoices can be fetched by using action_required=N filter.
gstinstringrequiredGSTIN of the taxpayer
retperiodstringrequiredReturn Period format MMYYYY
ctinstringoptionalCTIN of the taxpayer
fromtimestringoptionalFrom time format DD-MM-YYYY,20-12-2016
header parameters
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP GET to
/gstr1/b2b. Required parameters: email (query parameter), gstin (query parameter), retperiod (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.For Get B2B Invoices (GET
/gstr1/b2b), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).Getting all B2B invoices for a return period.
No example available.